/*******************************************************************************
 * FoxOnlineStatsWriteGearConfig generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxOnlineStatsWriteGearConfig extends ZeOnlineStatsWrite
    native;

function SetConfig(LoadoutGearConfigIDSInfo ourGearInfo)
{
    SetIntStat(536875008, ourGearInfo.LoadoutIndex);
    SetIntStat(536875009, ourGearInfo.BodyCamoID);
    SetIntStat(536875010, ourGearInfo.UpperBodyID);
    SetIntStat(536875011, ourGearInfo.LowerBodyID);
    SetIntStat(536875012, ourGearInfo.HelmetID);
    SetIntStat(536875013, ourGearInfo.BadgeID);
    SetIntStat(536875014, ourGearInfo.Gear_R1ID);
    SetIntStat(536875015, ourGearInfo.Gear_R2ID);
    SetIntStat(536875016, ourGearInfo.Gear_L1ID);
    SetIntStat(536875017, ourGearInfo.Gear_L2ID);
    SetIntStat(536875018, ourGearInfo.TacticalID);
    SetIntStat(536875019, ourGearInfo.ButtPackID);
    SetIntStat(536875021, ourGearInfo.AvatarID);
    SetIntStat(536875020, ourGearInfo.bFemale);
    //return;    
}

defaultproperties
{
    bAllowWrite=false
    Properties=/* Array type was not detected. */
    StatsGroupName=GearConfig
    StatNameToStatIdMapping=/* Array type was not detected. */
}